<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_design_topic">
    <sys_cb_design_topic action="INSERT_OR_UPDATE">
        <compiled_topic display_value="Troubleshoot Slow Computer (Template)">1c8674952f1b4110f98855f62799b618</compiled_topic>
        <design_definition>{"type":"FlowTopic","triggers":[{"type":"Trigger","name":"d6dece1345084a42afdcec49b90cec7f","triggerType":"request","applicability":{"type":"Applicability","mode":"script","value":"true"},"id":"d6dece1345084a42afdcec49b90cec7f"}],"goals":[{"name":"primary","trigger_id":"d6dece1345084a42afdcec49b90cec7f","nodes":[{"type":"StartGoal","goal_id":"primary","greeting_msg":{"type":"String","mode":"string","value":""},"id":"f85f53b0c3394bd299afb51a5518d047","name":"Start"},{"type":"TerminateGoal","goal_id":"primary","confirmation_msg":{"type":"String","mode":"string","value":""},"id":"5fba3b4f78ad42dfadd32bacca99dbd8","name":"End"},{"type":"ChoiceInputPrompt","expression_mode":"simple","metadataScript":"","cardName":"","cardFields":[],"id":"4b5e801610504f3895bf62e50cf03e4b","name":"User Device","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"16211e2bc5ce49438d7e3cc7efed818f","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"What type of machine are you having issues with?\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":true,"use_confirmation_prompt":false}},{"type":"ScriptOutputPrompt","output_type":"single_part","id":"f6d0ad4588ce468e87127eb32e4134f0","name":"PC Instructions","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"value":{"type":"String","mode":"string","value":"(function execute() {\n      return new sn_itsm_va.ItsmVaHelper().getRTEFormattedInstructions(gs.getMessage('Here are a few things you can try:'), [\n            gs.getMessage('If you have not restarted your machine, do that before moving to the next steps. If that did not solve the issue, try the next step.'),\n            gs.getMessage('Open the Task Manager application and check if there is a process using significant memory or processor.'),\n            gs.getMessage('Try closing and reopening the applications consuming significant memory or CPU.'),\n            gs.getMessage(\"If it doesn't work, restart your computer and try again.\")\n      ]);\n})()"},"secure":false},{"type":"Decision","name":"Which issue?","branches":[{"type":"Branch","label":"PC","expression":{"type":"Applicability","mode":"query","value":"user_device=pc"},"id":"2087ee0730d743dca0ada1b9bc6914a7","name":"PC"},{"type":"Branch","label":"Mac","expression":{"type":"Applicability","mode":"query","value":"user_device=mac"},"id":"66db4ee506cd4bed9da2621aae2a8d38","name":"Mac"}],"id":"5a9942d6fc7b4a13a59ee94ae75fa5d5","goal_id":"primary"},{"type":"ScriptOutputPrompt","output_type":"single_part","id":"938e759d82bf41a3bb711121d0042f5b","name":"Mac Instructions","goal_id":"primary","applicability":{"type":"Applicability","mode":"query","value":"user_device=mac"},"value":{"type":"String","mode":"string","value":"(function execute() {\n      return new sn_itsm_va.ItsmVaHelper().getRTEFormattedInstructions(gs.getMessage('Here are a few things you can try:'), [\n            gs.getMessage('If you have not restarted your machine, do that before moving to the next steps. If that did not solve the issue, try the next step.'),\n            gs.getMessage('Open Activity Monitor on your Mac to check if there is a process using significant memory or CPU.'),\n            gs.getMessage('Try closing and reopening the applications consuming significant memory or CPU.'),\n            gs.getMessage(\"If it doesn't work, restart your computer and try again.\")\n      ]);\n})()"},"secure":false},{"type":"InputPrompt","variable_id":"6f48e9bdf1854de0b58d9a98428b3501","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Did these steps work for you?\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"f6ffa68fc0a0486badb4a0a5c982660b","name":"Did steps work?","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Steps worked?","branches":[{"type":"Branch","label":"Yes","expression":{"type":"Applicability","mode":"query","value":"did_steps_work_=true"},"id":"c412ed0c5399484ba53d672f3a88f37d","name":"Yes"},{"type":"Branch","label":"No","expression":{"type":"Applicability","mode":"query","value":"did_steps_work_!=true"},"id":"ee3d753110e645c69c0eb1b7a20d6ed2","name":"No"}],"id":"94248deb018e4a52a5a75cee5c7d9d21","goal_id":"primary"},{"type":"ScriptedAction","script":"(function execute() {\n    vaVars.query = gs.getMessage('{0} slow', vaInputs.user_device.getDisplayValue());\n})()\n","id":"1d46f092f7cf4398b8883f56faa50698","name":"Set search query","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"InputPrompt","variable_id":"d4f6cd1d7a2445649575c74cb94412f3","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Would you like to open an IT ticket to get further help?\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"dd78ffe9fdc142e9abcff10d6acfea95","name":"Need further help","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Need further help?","branches":[{"type":"Branch","label":"No","expression":{"type":"Applicability","mode":"query","value":"need_further_help!=true"},"id":"3414bff43089477dba1e62e221d78c0c","name":"No"},{"type":"Branch","label":"Yes","expression":{"type":"Applicability","mode":"query","value":"need_further_help=true"},"id":"1bb8271ea8414ed38e4798fe53da554d","name":"Yes"}],"id":"94a23104f71240a2bad449711eedadcd","goal_id":"primary"},{"type":"Decision","name":"KB results helpful?","branches":[{"type":"Branch","label":"Yes","expression":{"type":"Applicability","mode":"query","value":"kb_results_helpful=true"},"id":"2a0d2d26f61944e68863bca77bcb6bc0","name":"Yes"},{"type":"Branch","label":"No","expression":{"type":"Applicability","mode":"query","value":"kb_results_helpful!=true"},"id":"1956979b56474a4ba5b67390c80b8f09","name":"No"}],"id":"9ff63afaf410403d91d11e1d51a93201","goal_id":"primary"},{"type":"LibraryCall","library_topic_name":"Create Incident","library_topic_id":"ef2d8306737333003ade8889faf6a790","parameter-mappings":[{"parameter-name":"caller","value":{"type":"String","mode":"string","value":"{{vaInputs.user}}"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"short_description","value":{"type":"String","mode":"script","value":"(function execute() {\n    return gs.getMessage('My {0} is slow', [vaInputs.user_device.getDisplayValue()]);\n})()\n"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"urgency","value":{"type":"String","mode":"string","value":"3"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"description","value":{"type":"String","mode":"script","value":"(function execute() {\n    return '';\n})()\n"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"cmdb_ci","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[{"main_topic_variable_namespace":"vaInputs","library_topic_return_parameter_name":"created_incident_sys_id","main_topic_mapped_variable_name":"created_incident_sys_id"}],"id":"accf252678c4462eaff32112aa2b333a","name":"Create Incident","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"LibraryCall","library_topic_name":"Contextual Search","library_topic_id":"d9dec393b3973300dbbf6030c6a8dc27","parameter-mappings":[{"parameter-name":"context","value":{"type":"String","mode":"string","value":"{{vaVars.search_context_sys_id}}"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"query","value":{"type":"String","mode":"string","value":"{{vaVars.query}}"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"portal","value":{"type":"String","mode":"script","value":"(function execute() {\n    return '';\n})()\n"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"kb_knowledge_base","value":{"type":"String","mode":"script","value":"(function execute() {\n    return '';\n})()\n"},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[{"main_topic_variable_namespace":"vaInputs","library_topic_return_parameter_name":"results_returned","main_topic_mapped_variable_name":"kb_results_returned"},{"main_topic_variable_namespace":"vaInputs","library_topic_return_parameter_name":"results_helpful","main_topic_mapped_variable_name":"kb_results_helpful"},{"main_topic_variable_namespace":"vaInputs","library_topic_return_parameter_name":"ctx_search_details","main_topic_mapped_variable_name":"ctx_search_details"}],"id":"188b47221bfc47ec8a954ae5c84cf8ba","name":"Contextual Search","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}}],"edges":[{"type":"Edge","source_node_id":"188b47221bfc47ec8a954ae5c84cf8ba","target_node_id":"9ff63afaf410403d91d11e1d51a93201","id":"1578339fbeec4a42b77a55ee36e14951"},{"type":"Edge","source_node_id":"accf252678c4462eaff32112aa2b333a","target_node_id":"5fba3b4f78ad42dfadd32bacca99dbd8","id":"3b88c4b3cb2a4ab384629edc1c6a3ce5"},{"type":"Edge","source_node_id":"94248deb018e4a52a5a75cee5c7d9d21","target_node_id":"5fba3b4f78ad42dfadd32bacca99dbd8","branch_id":"c412ed0c5399484ba53d672f3a88f37d","id":"4183ecc1ccc04bcf9a0e1c87abc18fbd","name":"c412ed0c5399484ba53d672f3a88f37d"},{"type":"Edge","source_node_id":"f85f53b0c3394bd299afb51a5518d047","target_node_id":"4b5e801610504f3895bf62e50cf03e4b","id":"3af9400946a34c598d2b61505b5e684e"},{"type":"Edge","source_node_id":"f6d0ad4588ce468e87127eb32e4134f0","target_node_id":"f6ffa68fc0a0486badb4a0a5c982660b","id":"b70455e8a01b4b0bb01cdc5add5b3402"},{"type":"Edge","source_node_id":"4b5e801610504f3895bf62e50cf03e4b","target_node_id":"5a9942d6fc7b4a13a59ee94ae75fa5d5","id":"2f23a18aba7e449f8cd2fbf2ad561c67"},{"type":"Edge","source_node_id":"5a9942d6fc7b4a13a59ee94ae75fa5d5","target_node_id":"f6d0ad4588ce468e87127eb32e4134f0","branch_id":"2087ee0730d743dca0ada1b9bc6914a7","id":"6ebb327a61964e879f48bcf3ce8e5b57","name":"2087ee0730d743dca0ada1b9bc6914a7"},{"type":"Edge","source_node_id":"5a9942d6fc7b4a13a59ee94ae75fa5d5","target_node_id":"938e759d82bf41a3bb711121d0042f5b","branch_id":"66db4ee506cd4bed9da2621aae2a8d38","id":"11eee1e0ece14fc0a92e5e4dee6b67f0","name":"66db4ee506cd4bed9da2621aae2a8d38"},{"type":"Edge","source_node_id":"938e759d82bf41a3bb711121d0042f5b","target_node_id":"f6ffa68fc0a0486badb4a0a5c982660b","id":"bb1fae853f3f4e00a03615d8382e3940"},{"type":"Edge","source_node_id":"f6ffa68fc0a0486badb4a0a5c982660b","target_node_id":"94248deb018e4a52a5a75cee5c7d9d21","id":"cd14f3cd547e4aee949223ac299a6bad"},{"type":"Edge","source_node_id":"94248deb018e4a52a5a75cee5c7d9d21","target_node_id":"1d46f092f7cf4398b8883f56faa50698","branch_id":"ee3d753110e645c69c0eb1b7a20d6ed2","id":"0c76b2fb7be84336a90c9cf1f62d5b27","name":"ee3d753110e645c69c0eb1b7a20d6ed2"},{"type":"Edge","source_node_id":"dd78ffe9fdc142e9abcff10d6acfea95","target_node_id":"94a23104f71240a2bad449711eedadcd","id":"9129ec3aa9c94947a9d7b008c472af91"},{"type":"Edge","source_node_id":"94a23104f71240a2bad449711eedadcd","target_node_id":"5fba3b4f78ad42dfadd32bacca99dbd8","branch_id":"3414bff43089477dba1e62e221d78c0c","id":"a5d5e11b6d7a477dafcae010faad9b91","name":"3414bff43089477dba1e62e221d78c0c"},{"type":"Edge","source_node_id":"9ff63afaf410403d91d11e1d51a93201","target_node_id":"5fba3b4f78ad42dfadd32bacca99dbd8","branch_id":"2a0d2d26f61944e68863bca77bcb6bc0","id":"ed9f7e3d89994ab18c6e8eda58a89e7c","name":"2a0d2d26f61944e68863bca77bcb6bc0"},{"type":"Edge","source_node_id":"9ff63afaf410403d91d11e1d51a93201","target_node_id":"dd78ffe9fdc142e9abcff10d6acfea95","branch_id":"1956979b56474a4ba5b67390c80b8f09","id":"13f46351331c4f7ea97cb97bdc448f11","name":"1956979b56474a4ba5b67390c80b8f09"},{"type":"Edge","source_node_id":"94a23104f71240a2bad449711eedadcd","target_node_id":"accf252678c4462eaff32112aa2b333a","branch_id":"1bb8271ea8414ed38e4798fe53da554d","id":"83326a03479f4822aee4f6b96aac7c49","name":"1bb8271ea8414ed38e4798fe53da554d"},{"type":"Edge","source_node_id":"1d46f092f7cf4398b8883f56faa50698","target_node_id":"188b47221bfc47ec8a954ae5c84cf8ba","id":"83d76aa58bb748a0853fa6e62ad69c9a"}],"id":"primary"}],"script_variables":[{"type":"String","name":"search_context_sys_id","value":{"type":"String","mode":"string","value":"2821675a5b30130070e4492c11f91a89"},"list":false,"id":"f7c207a7a4fc42019f82c65a2bd778bc","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"query","value":{"type":"String","mode":"string"},"list":false,"id":"1bd57d2337ca4e5db4f637449c2996a3","formatType":"text","secure":false,"sensitive":false}],"glide_variables":[{"type":"Choice","choices":[{"name":"Mac","element":"mac"},{"name":"PC","element":"pc"}],"id":"16211e2bc5ce49438d7e3cc7efed818f","name":"user_device","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"True/False","id":"6f48e9bdf1854de0b58d9a98428b3501","name":"did_steps_work_","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"True/False","id":"d4f6cd1d7a2445649575c74cb94412f3","name":"need_further_help","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"String","name":"kb_results_returned","list":false,"id":"042dcc1b168d4977a2a24b7a1188a8ad","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"kb_results_helpful","list":false,"id":"6bf39451c28c4c20bffa53e9b1e420fd","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"Reference","table":"sys_user","id":"current-user","name":"user","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"String","name":"created_incident_sys_id","list":false,"id":"f08ffc947479437495c9420835daa3db","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"ctx_search_details","list":false,"id":"a7994bb9d96c4b048e7273aff52f872e","formatType":"text","secure":false,"sensitive":false}],"applicability":{"type":"Applicability","mode":"script","value":"true"},"roles":[],"scope":"134450a0b3781300787162ac16a8dc1e","domain":"global","topic_type":"STANDARD","channels":[],"id":"09bebe160b603300a1b16c2367673a99","name":"_PRVW__c886b055fe1b41108c751919fdbb86fa","key_phrases":["Troubleshoot slow computer","slow","computer","laptop","lagging","forever to load","faster","low ram","laptop","issues","performance"],"nlu_provider":"","nlu_model":"","nlu_model_label":"","nlu_intent":"","nlu_intent_label":"","flexible_conversation_switching":false,"autopilot_topic":false,"design_categories":[{"name":null,"visible":false,"sysId":"140e2eda0b203300a1b16c2367673af4"}],"triggerable_by_notification":false,"library":false,"nluMapping":"[]"}</design_definition>
        <design_topic_id>09bebe160b603300a1b16c2367673a99</design_topic_id>
        <name>_PRVW__c886b055fe1b41108c751919fdbb86fa</name>
        <sys_class_name>sys_cb_design_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-05 10:17:40</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>d48674952f1b4110f98855f62799b61b</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>FlowTopic</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_design_topic_d48674952f1b4110f98855f62799b61b</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-05 10:17:40</sys_updated_on>
        <type>FlowTopic</type>
    </sys_cb_design_topic>
</record_update>
